# URI:Scheme:NNTP

### Import List

        Object
        RT0
        URI
        URI:Scheme:Hierarchical

Class List
URI |

Class Summary: URI [Detail]

      +---RT0.Object
           |
           +---Object.Object
                |
                +---URI.URI
                     |
                     +---URI.HierarchicalURI
                          |
                          +---URI:Scheme:Hierarchical.Generic
                               |
                               +--URI:Scheme:NNTP.URI

Inherited Fields
From URI.URI: schemeId From URI.HierarchicalURI: authority, query From URI:Scheme:Hierarchical.Generic: absolutePath, pathList
Constructor Summary
Init(URI, STRING, Authority, Query)
New(STRING, Authority, Query): URI
NewPrototype(STRING): URI
Method Summary
Clone(): URI Creates a deep copy of the URI referenced by http.
NewAuthority(): Authority Creates a new instance of the authority component of URI http.
NewQuery(): Query Creates a new instance of the query component of URI http.
Inherited Methods
From RT0.Object: Finalize From Object.Object: Equals, HashCode From URI.URI: AppendScheme, GetChannel, SetSchemeId From URI.HierarchicalURI: AuthorityMandatory, SetAuthority, SetQuery From URI:Scheme:Hierarchical.Generic: AppendPath, AppendSegment, ClearPath, Clone, Copy, MakeRelative, NewAuthority, NewQuery, ParsePath, RemoveSegment, ResolveRelative, StripSegments, ToString, WriteXML

Class Detail: URI

Constructor Detail

### Init

    PROCEDURE Init(http: URI;
                   schemeId: STRING;
                   authority: Authority;
                   query: Query)

### New

    PROCEDURE New(schemeId: STRING;
                  authority: Authority;
                  query: Query): URI

### NewPrototype

    PROCEDURE NewPrototype(scheme: STRING): URI

Method Detail

### Clone

    PROCEDURE (http: URI) Clone(): URI

> Creates a deep copy of the URI referenced by http. That is, it creates a new instance of http and calls URI.Copy on it.

> [Description inherited from Clone]

> Redefines: Clone, Clone, Clone

### NewAuthority

    PROCEDURE (http: URI) NewAuthority(): Authority

> Creates a new instance of the authority component of URI http. The new object is subsequently filled in by parsing the authority component of the URI string (see URI:Authority.ParseAuthority).

> [Description inherited from NewAuthority]

> Redefines: NewAuthority, NewAuthority

### NewQuery

    PROCEDURE (http: URI) NewQuery(): Query

> Creates a new instance of the query component of URI http. The new object is subsequently filled in by parsing the query component of the URI string (see URI:Query.ParseQuery).

> [Description inherited from NewQuery]

> Redefines: NewQuery, NewQuery